.include "x16.inc"
.include "x16lib.inc"

jsr Loadx16Lib      ;load x16lib in rambank 1 (see x16lib.s)
jsr TestSplit

TestSplit:
jmp TestSplit_start
    SplitChar: .byte ","
    StringToSplit: .asciiz "value01,value02,value03,value04,value05"
    Result: .res 50,0
TestSplit_start:
    lda #<StringToSplit
    sta r0
    lda #>StringToSplit
    sta r0+1  

    lda #<SplitChar
    sta r2
    lda #>SplitChar
    sta r2+1 

    lda #<Result
    sta r6
    lda #>Result
    sta r6+1 
    
    lda #4
    sta $BE00   ;index to retrieve
    
    jsr fSplit
    
    ;Print result to the screen
    ldx #0
    :
        lda Result,x
        cmp #0
        beq @Done
        jsr CHROUT
        inx
        jmp :-
    @Done:
rts