.include "x16.inc"
.include "x16lib.inc"

jsr Loadx16Lib      ;load x16lib in rambank 1 (see x16lib.s)
jsr TestKeyboard

TestKeyboard:
    jsr fSetCustomKeyboardHandler
    Loop:
        ;Clear screen
        lda #$93
        jsr CHROUT

        
        ldx #$59 ;Arrow Right
        jsr fSetCarryOnKeyDown
        bcc ArrowRightNotDown
            jsr ArrowRight
        ArrowRightNotDown:


        ldx #$4F ;Arrow Left
        jsr fSetCarryOnKeyDown
        bcc ArrowLeftNotDown
            jsr ArrowLeft
        ArrowLeftNotDown:
        
        ldx #$54 ;Arrow Down
        jsr fSetCarryOnKeyDown
        bcc ArrowDownNotDown
            jsr ArrowDown
        ArrowDownNotDown:
        
        ldx #$53 ;Arrow Up
        jsr fSetCarryOnKeyDown
        bcc ArrowUpNotDown
            jsr ArrowUp
        ArrowUpNotDown:

    
       
    jmp Loop
    
    ArrowRight:
        lda #'r'
        jsr CHROUT
        lda #$0d
        jsr CHROUT
    rts
    
    ArrowLeft:
        lda #'l'
        jsr CHROUT
        lda #$0d
        jsr CHROUT
    rts

    ArrowUp:
        lda #'u'
        jsr CHROUT
        lda #$0d
        jsr CHROUT

    rts

    ArrowDown:
        lda #'d'
        jsr CHROUT
        lda #$0d
        jsr CHROUT
    rts    

EndKeytest:
    jsr fResetCustomKeyboardHandler
rts